<?php
/**
* Base class of the exception handling. An exception is created by calling 
* the constructor of this class. Most exceptions are derived classes of this
* class.
* @author		Ulf Wendel <ulf@redsys.de>
* @version	0.1
*/
class exception {
	/**
	* Constructor
	* @param	string	$message=""
	* @param	int			$errno=0
	* @param	string	$type="error"
	* @param	string	$file=""
	* @param	int			$line=0
	* @access	public
	*/
	function exception($message="", $errno=0, $type="error", $file="", $line=0) {
	
		$this->message	= $message;
		$this->errno 		= $errno;
		$this->type 		= $type;
		$this->file 		= $file;
		$this->line 		= $line;
		
	} // end constructor
	
	/**
	* Message of the exception
	* @var		string	$message
	* @access	private
	*/
	var $message 	= "";
	
	/**
	* Integer identifier of the thrown exception. There're no rules on 
	* building this identifiers as long as they are unique within your
  * application.
	* @var		int			$errno
	* @access	private
	*/
	var $errno = 0;
	
	/**
	* Name of the file that throws the exception
	* @var		string	$file
	* @access	private
	*/
	var $file 		= "";
	
	/**
	* Line number where the exception was thrown
	* @var		string	$line
	* @access	private
	*/
	var $line 		= "";
	
	/**
	* Type of the exception. There're some predefined types in
	* the class exception_handler: notice, warning, error, io and runtime.
	* @var		string	$type
	* @access	private
	*/
	var $type 		= "";
	
	/**
	* Returns the Message
	* @return	string	$message
	* @access	public
	* @see	getLocalizedMessage()
	*/
	function getMessage() {
		return $this->message;
	} // end func getMessage
	
	/**
	* Returns the Message with informations about where it occured
	* @return	string	$localized_message
	* @access	public
	* @see		getMessage(), type, getLocalizedMessage()
	*/
	function getLocalizedMessage() {
		return sprintf("%s (%s on line %d)", $this->message, $this->file, $this->line);
	} // end func getLocalizedMessage
	
	var $undoc;
	function undoc() {
	}
	
} // end class exception
?>